/* Codigo de inicializacion del kernel en C
 * Este codigo recibe el control de start.S y continua
 * con la ejecucion.
 *
 *
 * */
/*
 * Descripcion: Esta rutina recibe el control de start.S,
 * Entrada:
 * 	int* : apuntador al numero de bytes que ocupa el kernel
 *  char*: mensaje de bienvenida.
 * */
void cmain(int numsectors, char * message) {
	/* Apuntador al inicio de la memoria de video */
	unsigned short * videoptr = (unsigned short *) 0xB8000;
	/* Caracter a imprimir en la memoria de video (atributos << 8 | ascii) */
	unsigned short c;

	int i;

	char * aux;

	aux = message;

	/* Imprimir la cadena, caracter por caracter */
	while (*aux != 0 ){

	/* Un caracter en la memoria de video es un word: (atributos << 8 | ascii)*/
		c = (0x1f << 8 | *aux);
		*videoptr = c;
		videoptr++; /* Avanzar en la memoria de video */
		aux++; /* Avanzar en la cadena */
	}

	/* Ahora imprimir un caracter por cada sector del kernel. */
	for (i=0; i< numsectors; i++) {
		c = (0x1f << 8 | '#');
		*videoptr = c;
		videoptr++;
	}
}
