/* Archivo que contiene algunas constantes necesarias para el bootsector y el
 kernel */

/* Direccion fisica del kernel en memoria */
#define KERNADDR 0x100000

/* Estas FLAGS se pasan a GRUB. Ver especificacion Multiboot. */
#define MULTIBOOT_PAGE_ALIGN 1<<0 /* Alinear las paginas */
#define MULTIBOOT_MEMORY_INFO 1<<1 /* Suministrar informacion de la memoria */
#define MULTIBOOT_VIDEO_INFO 1<<2
#define MULTIBOOT_AOUT_KLUDGE 1<<16
#define MULTIBOOT_HEADER_MAGIC 0x1BADB002
#define MULTIBOOT_HEADER_FLAGS MULTIBOOT_PAGE_ALIGN | MULTIBOOT_MEMORY_INFO | \
							   MULTIBOOT_AOUT_KLUDGE
#define MULTIBOOT_CHECKSUM -(MULTIBOOT_HEADER_MAGIC + MULTIBOOT_HEADER_FLAGS)

#define MULTIBOOT_BOOTLOADER_MAGIC 0x2BADB002

