/*
 * paging.h
 */

#ifndef PAGING_H_
#define PAGING_H_


/* Cada entrada del  Directorio de Tablas de Pagina (PD) tiene los siguientes
 * campos (Ver documento de Intel: en la seccion protected mode
 * memory management */

 struct page_directory_t{
	unsigned present	: 1,
		     rw			: 1,
		     user		: 1,
		     wt 		: 1,
		     cache		: 1,
		     accessed	: 1,
		     reserved	: 1,
		     ps			: 1,
		     ignored	: 1,
		     avl		: 3,
		     table		: 20;
}__attribute__((packed)); /* Evitar posible alineacion del compilador */

typedef struct page_directory_t page_directory_t;

struct page_table_t{
	unsigned present	: 1,
		     rw			: 1,
		     user		: 1,
		     wt 		: 1,  /* Informacion de acceso */
		     cache		: 1, /* 1 = codigo o datos, 0 = sistema */
		     accessed	: 1, /* Nivel de privilegio */
		     dirty		: 1, /* Presente */
		     ps			: 1, /* limite 16..19*/
		     ignored	: 1, /* Disponible */
		     avl		: 3, /* Reservado */
		     frame		: 20; /* 0 = 16 bits, 1 = 32 bits */
}__attribute__((packed)); /* Evitar posible alineacion del compilador */

typedef struct page_t page_t;


void setup_paging(void);

#endif /* PM_H_ */
