/*
 * exception.h
 * Este archivo contiene las estructuras de datos y las definiciones para la
 * gestion de excepciones del procesador Intel.
 */

#ifndef EXCEPTION_H_
#define EXCEPTION_H_

#include <idt.h>

/* En la arquitectura x86 se definen 32 excepciones. */
#define MAX_EXCEPTIONS 32

/* Alias para las rutinas de manejo de excepcion*/
typedef interrupt_handler exception_handler;

/*
 * Rutina: setup_exceptions
 * Descripcion: Esta rutina crea un manejador de interrupcion para las
 * 32 excepciones x86 e inicializa la tabla de manejadores de excepcion.
 * Entrada:
 * 	Ninguno.
 * Salida:
 * 	Ninguno.*/
void setup_exceptions(void);

#endif /* EXCEPTION_H_ */
