/* 
   Archivo  para realizar el enlace (linking) de los modulos del kernel.
   Este archivo toma los archivos de objeto y organiza el archivo
   final. 
   
   Se supone que cada modulo se carga en una direccion relativa a 0.
.
*/
ENTRY(start);
OUTPUT_FORMAT(elf32-i386);
phys = 0x000000;
virt = 0x000000;
SECTIONS {
   . = phys;
   task_start = .;	/* Direccion en la cual se carga la tarea */
   .text :  {
     code_start = .;	/* Inicio de la seccion de codigo */
     *(.bootcode)	/* Incluir primero el codigo ejecutable de start.S */
     *(.text)
     *(.rodata)
     . = ALIGN(4096);
     code_end = .;
   } = 0x90909090
   .data  :  {
       data_start = .;
       *(.bootdata)	/* Incluir primero los datos de start.S */       
       *(.data)
     . = ALIGN(4096);
       data_end = .;
   } = 0x00000000
   .bss :  {
       bss_start = .;
       *(.bss)
       *(COMMON)
     . = ALIGN(4096);
       bss_end = .;
   } = 0x00000000   
    /DISCARD/ : {
	   *(.comment)
	   *(.shstrtab)
	   *(.strtab)
   }
   task_end = .;      
}
