/*
 * stdlib.h
 * Archivo de cabecera para las tareas
 */

#ifndef STDLIB_H_
#define STDLIB_H_

/* Interrupcion que permite comunicar a las tareas con el kernel. Este valor
 * debe estar sincronizado con el numero de interrupcion para manejar
 * las interrupciones de las tareas, en la rutina rutina setup_multitasking
 * (src/task.c) */
#define INT_SYSCALL 0x80

/* Definicion de las llamadas al sistema */
#define SYS_NULL 0
#define SYS_EXIT 1

/* Macros y estructuras de adtos disponibles para el codigo en C */
#ifndef ASM

/* Definicion de las llamadas al sistema. */

/* Llamada al sistema para terminar la tarea. */
extern void exit(int);

#endif

#endif /* STDLIB_H_ */
