/*
* syscall.S
* Este archivo contiene la implementacion de las rutinas en ensamblador
* asociadas con las llamadas al sistema.
*/

/* Macro para evitar incluir estructuras de datos y rutinas de C */
 #define ASM 1
 #include <stdlib.h>

.section .text
.code32

/*
* Rutina: syscall
* Descripcion: Esta rutina invoca a la interrupcion configurada para que las
* tareas se comuniquen con el kernel.
* Entrada:
*   Ninguno. Se supone que los parametros enviados al kernel se encuentran
*  almacenados en la pila de la tarea, justo antes de invocar la llamada
*  al sistema.
* Salida:
*	Ninguno.
*
*/
.global syscall
syscall:
	int $INT_SYSCALL
	ret
